## python-novaclient 4.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
iso8601>=0.1.11 # MIT
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.11.0 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
requests>=2.10.0 # Apache-2.0
simplejson>=2.2.0 # MIT
six>=1.9.0 # MIT
Babel>=2.3.4 # BSD

=== debian/changelog ===
python-novaclient (2:4.1.0-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 08 Sep 2016 16:40:44 +0000

python-novaclient (2:4.1.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using pkgos-dh_auto_{install,test} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 08:27:37 +0000

python-novaclient (2:4.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests.patch: Skip test_find() until bug is resolved.

 -- Corey Bryant <corey.bryant@canonical.com>  Sun, 05 Jun 2016 23:53:04 +0000

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage,
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-iso8601,
                     python-keyring (>= 7.2),
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystoneclient (>= 1:1.7.0),
                     python-mock (>= 2.0),
                     python-os-client-config (>= 1.13.1),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.11.0),
                     python-oslosphinx (>= 2.5.0),
                     python-prettytable,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 0.7.0),
                     python-simplejson (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-tempest (>= 1:11.0.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python3-babel,
                     python3-cinderclient (>= 1:1.6.0),
                     python3-fixtures (>= 3.0.0),
                     python3-iso8601,
                     python3-keyring (>= 7.2),
                     python3-keystoneauth1 (>= 2.1.0),
                     python3-keystoneclient (>= 1:1.7.0),
                     python3-mock (>= 2.0),
                     python3-os-client-config (>= 1.13.1),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.11.0),
                     python3-prettytable,
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 0.7.0),
                     python3-simplejson (>= 2.2.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-tempest (>= 1:11.0.0),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     python3-unittest2,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Homepage: https://github.com/openstack/python-novaclient
Vcs-Git: https://anonscm.debian.org/git/openstack/python-novaclient.git
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-novaclient.git/
XS-Testsuite: autopkgtest

Package: python-novaclient
Architecture: all
Breaks: simh (<< 3.8.1-3),
Replaces: simh (<< 3.8.1-3),
Depends: python-babel,
         python-iso8601,
         python-keyring (>= 7.2),
         python-keystoneauth1 (>= 2.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.11.0),
         python-pbr (>= 1.8),
         python-prettytable,
         python-requests (>= 2.10.0),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: client library for OpenStack Compute API - Python 2.7
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 2.7 module.

Package: python3-novaclient
Architecture: all
Depends: python3-babel,
         python3-iso8601,
         python3-keyring (>= 7.2),
         python3-keystoneauth1 (>= 2.1.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.11.0),
         python3-pbr (>= 1.8),
         python3-prettytable,
         python3-requests (>= 2.10.0),
         python3-simplejson (>= 2.2.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: client library for OpenStack Compute API - 3.x
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 3.x module.

Package: python-novaclient-doc
Architecture: all
Section: doc
Breaks: python-novaclient (<< 2:2.30.1-2~)
Replaces: python-novaclient (<< 2:2.30.1-2~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: client library for OpenStack Compute API - doc
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its  
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL), 
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the documentation.

## python-novaclient 6.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 pbr>=1.6 # Apache-2.0
-keystoneauth1>=2.1.0 # Apache-2.0
+keystoneauth1>=2.10.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
-oslo.utils>=3.11.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
 PrettyTable<0.8,>=0.7 # BSD
 requests>=2.10.0 # Apache-2.0
 simplejson>=2.2.0 # MIT

=== debian/changelog ===
python-novaclient (2:6.0.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 21:54:26 +0000

python-novaclient (2:6.0.0-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:11:56 +0200

python-novaclient (2:6.0.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 18:53:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -18,45 +18,47 @@
                      python-cinderclient (>= 1:1.6.0),
                      python-coverage,
                      python-fixtures (>= 3.0.0),
+                     python-glanceclient (>= 1:2.3.0),
                      python-hacking (>= 0.10.0),
                      python-iso8601,
                      python-keyring (>= 7.2),
-                     python-keystoneauth1 (>= 2.1.0),
-                     python-keystoneclient (>= 1:1.7.0),
+                     python-keystoneauth1 (>= 2.10.0),
+                     python-keystoneclient (>= 1:2.0.0),
                      python-mock (>= 2.0),
                      python-os-client-config (>= 1.13.1),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.11.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-prettytable,
                      python-requests (>= 2.10.0),
-                     python-requests-mock (>= 0.7.0),
+                     python-requests-mock (>= 1.0),
                      python-simplejson (>= 2.2.0),
                      python-six (>= 1.9.0),
-                     python-tempest (>= 1:11.0.0),
+                     python-tempest (>= 1:12.1.0),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-unittest2,
                      python3-babel,
                      python3-cinderclient (>= 1:1.6.0),
                      python3-fixtures (>= 3.0.0),
+                     python3-glanceclient (>= 1:2.3.0),
                      python3-iso8601,
                      python3-keyring (>= 7.2),
-                     python3-keystoneauth1 (>= 2.1.0),
-                     python3-keystoneclient (>= 1:1.7.0),
+                     python3-keystoneauth1 (>= 2.10.0),
+                     python3-keystoneclient (>= 1:2.0.0),
                      python3-mock (>= 2.0),
                      python3-os-client-config (>= 1.13.1),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.11.0),
+                     python3-oslo.utils (>= 3.16.0),
                      python3-prettytable,
                      python3-requests (>= 2.10.0),
-                     python3-requests-mock (>= 0.7.0),
+                     python3-requests-mock (>= 1.0),
                      python3-simplejson (>= 2.2.0),
                      python3-six (>= 1.9.0),
                      python3-subunit,
-                     python3-tempest (>= 1:11.0.0),
+                     python3-tempest (>= 1:12.1.0),
                      python3-testscenarios (>= 0.4),
                      python3-testtools (>= 1.4.0),
                      python3-unittest2,
@@ -64,8 +66,8 @@
                      testrepository,
 Standards-Version: 3.9.8
 Homepage: https://github.com/openstack/python-novaclient
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-novaclient.git
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-novaclient.git/
+Vcs-Git: https://git.openstack.org/openstack/deb-python-novaclient -b debian/newton
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-novaclient?h=debian%2Fnewton
 XS-Testsuite: autopkgtest
 
 Package: python-novaclient
@@ -75,10 +77,10 @@
 Depends: python-babel,
          python-iso8601,
          python-keyring (>= 7.2),
-         python-keystoneauth1 (>= 2.1.0),
+         python-keystoneauth1 (>= 2.10.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.11.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-prettytable,
          python-requests (>= 2.10.0),
@@ -103,10 +105,10 @@
 Depends: python3-babel,
          python3-iso8601,
          python3-keyring (>= 7.2),
-         python3-keystoneauth1 (>= 2.1.0),
+         python3-keystoneauth1 (>= 2.10.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.11.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
          python3-prettytable,
          python3-requests (>= 2.10.0),
@@ -129,14 +131,15 @@
 Package: python-novaclient-doc
 Architecture: all
 Section: doc
-Breaks: python-novaclient (<< 2:2.30.1-2~)
-Replaces: python-novaclient (<< 2:2.30.1-2~)
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Breaks: python-novaclient (<< 2:2.30.1-2~),
+Replaces: python-novaclient (<< 2:2.30.1-2~),
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: client library for OpenStack Compute API - doc
  OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
- designed to be modular and easy to extend and adapt. In addition to its  
+ designed to be modular and easy to extend and adapt. In addition to its
  "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
- many different database backends (including SQLite, MySQL, and PostgreSQL), 
+ many different database backends (including SQLite, MySQL, and PostgreSQL),
  hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
  .
  Python novaclient library and nova CLI tool for interacting with OpenStack

## python-novaclient 7.1.0

=== debian/changelog ===
python-novaclient (2:7.1.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 30 Jan 2017 19:54:52 +0000

python-novaclient (2:7.1.0-0ubuntu1) zesty; urgency=medium

  * New upstream release 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 13:25:19 -0500

python-novaclient (2:7.0.0-0ubuntu1.2) zesty; urgency=medium

  * d/control: Drop python-bandit as it's not needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Jan 2017 14:44:56 -0500

python-novaclient (2:7.0.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jan 2017 08:58:18 -0500

python-novaclient (2:6.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 15:40:36 +0100

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-cinderclient (>= 1.6.0),
                     python-coverage (>= 4.0),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.5.0),
                     python-hacking (>= 0.10.0),
                     python-iso8601 (>= 0.1.11),
                     python-keyring (>= 5.5.1),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-mock (>= 2.0),
                     python-os-client-config (>= 1.22.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-osprofiler (>= 1.4.0),
                     python-prettytable (>= 0.7.1),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-simplejson (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-sphinx (>= 1.2.1),
                     python-tempest (>= 1:12.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python3-babel (>= 2.3.4),
                     python3-cinderclient (>= 1.6.0),
                     python3-coverage (>= 4.0),
                     python3-fixtures (>= 3.0.0),
                     python3-glanceclient (>= 1:2.5.0),
                     python3-hacking (>= 0.10.0),
                     python3-iso8601 (>= 0.1.11),
                     python3-keyring (>= 5.5.1),
                     python3-keystoneauth1 (>= 2.18.0),
                     python3-keystoneclient (>= 1:3.8.0),
                     python3-mock (>= 2.0),
                     python3-os-client-config (>= 1.22.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslosphinx (>= 4.7.0),
                     python3-osprofiler (>= 1.4.0),
                     python3-prettytable (>= 0.7.1),
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.1),
                     python3-simplejson (>= 2.2.0),
                     python3-six (>= 1.9.0),
                     python3-sphinx (>= 1.2.1),
                     python3-subunit,
                     python3-tempest (>= 1:12.1.0),
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     python3-unittest2,
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Homepage: https://github.com/openstack/python-novaclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-novaclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-novaclient
XS-Testsuite: autopkgtest

Package: python-novaclient
Architecture: all
Breaks: simh (<< 3.8.1-3),
Replaces: simh (<< 3.8.1-3),
Depends: python-babel (>= 2.3.4),
         python-iso8601 (>= 0.1.11),
         python-keyring (>= 5.5.1),
         python-keystoneauth1 (>= 2.16.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 1.8),
         python-prettytable (>= 0.7.1),
         python-requests (>= 2.10.0),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends}
Description: client library for OpenStack Compute API - Python 2.7
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 2.7 module.

Package: python3-novaclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-iso8601 (>= 0.1.11),
         python3-keyring (>= 5.5.1),
         python3-keystoneauth1 (>= 2.16.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 1.8),
         python3-prettytable (>= 0.7.1),
         python3-requests (>= 2.10.0),
         python3-simplejson (>= 2.2.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends}
Description: client library for OpenStack Compute API - 3.x
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 3.x module.

Package: python-novaclient-doc
Architecture: all
Section: doc
Breaks: python-novaclient (<< 2:2.30.1-2~),
Replaces: python-novaclient (<< 2:2.30.1-2~),
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: client library for OpenStack Compute API - doc
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the documentation.

## python-novaclient 7.1.2

=== debian/changelog ===
python-novaclient (2:7.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 26 Oct 2017 10:34:37 +0200

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-cinderclient (>= 1:1.6.0),
                     python-glanceclient (>= 1:2.5.0),
                     python-coverage,
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-iso8601,
                     python-keyring (>= 7.2),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-mock (>= 2.0),
                     python-os-client-config (>= 1.22.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-osprofiler (>= 1.4.0),
                     python-prettytable,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-simplejson (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-tempest (>= 1:12.1.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python3-babel,
                     python3-cinderclient (>= 1:1.6.0),
                     python3-glanceclient (>= 1:2.5.0),
                     python3-osprofiler (>= 1.4.0),
                     python3-fixtures (>= 3.0.0),
                     python3-iso8601,
                     python3-keyring (>= 7.2),
                     python3-keystoneauth1 (>= 2.18.0),
                     python3-keystoneclient (>= 1:3.8.0),
                     python3-mock (>= 2.0),
                     python3-os-client-config (>= 1.22.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-prettytable,
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.1),
                     python3-simplejson (>= 2.2.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-tempest (>= 1:12.1.0),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     python3-unittest2,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Homepage: https://github.com/openstack/python-novaclient
Vcs-Git: https://anonscm.debian.org/git/openstack/python-novaclient.git
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-novaclient.git/
XS-Testsuite: autopkgtest

Package: python-novaclient
Architecture: all
Breaks: simh (<< 3.8.1-3),
Replaces: simh (<< 3.8.1-3),
Depends: python-babel,
         python-iso8601,
         python-keyring (>= 7.2),
         python-keystoneauth1 (>= 2.18.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 1.8),
         python-prettytable,
         python-requests (>= 2.10.0),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: client library for OpenStack Compute API - Python 2.7
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 2.7 module.

Package: python3-novaclient
Architecture: all
Depends: python3-babel,
         python3-iso8601,
         python3-keyring (>= 7.2),
         python3-keystoneauth1 (>= 2.18.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 1.8),
         python3-prettytable,
         python3-requests (>= 2.10.0),
         python3-simplejson (>= 2.2.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: client library for OpenStack Compute API - 3.x
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 3.x module.

Package: python-novaclient-doc
Architecture: all
Section: doc
Breaks: python-novaclient (<< 2:2.30.1-2~)
Replaces: python-novaclient (<< 2:2.30.1-2~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: client library for OpenStack Compute API - doc
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its  
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL), 
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the documentation.

## python-novaclient 9.1.0

=== debian/changelog ===
python-novaclient (2:9.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 12:27:55 -0400

python-novaclient (2:8.0.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Dropped, no longer needed.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:20:09 +0100

python-novaclient (2:7.1.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * d/watch: Switch to using tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:01:48 +0100

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-cinderclient (>= 1:3.0.0),
                     python-coverage (>= 4.0),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.7.0),
                     python-hacking (>= 0.10.0),
                     python-iso8601 (>= 0.1.11),
                     python-keyring (>= 5.5.1),
                     python-keystoneauth1 (>= 3.0.1),
                     python-keystoneclient (>= 1:3.8.0),
                     python-mock (>= 2.0),
                     python-neutronclient (>= 6.3.0),
                     python-openstackdocstheme (>= 1.11.0),
                     python-os-client-config (>= 1.28.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslosphinx (>= 4.7.0),
                     python-osprofiler (>= 1.4.0),
                     python-prettytable (>= 0.7.1),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-simplejson (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-tempest (>= 1:16.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python3-babel (>= 2.3.4),
                     python3-cinderclient (>= 1:3.0.0),
                     python3-coverage (>= 4.0),
                     python3-fixtures (>= 3.0.0),
                     python3-glanceclient (>= 1:2.7.0),
                     python3-hacking (>= 0.10.0),
                     python3-iso8601 (>= 0.1.11),
                     python3-keyring (>= 5.5.1),
                     python3-keystoneauth1 (>= 3.0.1),
                     python3-keystoneclient (>= 1:3.8.0),
                     python3-mock (>= 2.0),
                     python3-neutronclient (>= 6.3.0),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-os-client-config (>= 1.28.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslosphinx (>= 4.7.0),
                     python3-osprofiler (>= 1.4.0),
                     python3-prettytable (>= 0.7.1),
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.1),
                     python3-simplejson (>= 2.2.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-tempest (>= 1:16.1.0),
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     python3-unittest2,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Homepage: https://github.com/openstack/python-novaclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-novaclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-novaclient
XS-Testsuite: autopkgtest

Package: python-novaclient
Architecture: all
Breaks: simh (<< 3.8.1-3),
Replaces: simh (<< 3.8.1-3),
Depends: python-babel (>= 2.3.4),
         python-iso8601 (>= 0.1.11),
         python-keyring (>= 5.5.1),
         python-keystoneauth1 (>= 3.0.1),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-pbr (>= 2.0.0),
         python-prettytable (>= 0.7.1),
         python-requests (>= 2.10.0),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: client library for OpenStack Compute API - Python 2.7
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 2.7 module.

Package: python3-novaclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-iso8601 (>= 0.1.11),
         python3-keyring (>= 5.5.1),
         python3-keystoneauth1 (>= 3.0.1),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.20.0),
         python3-pbr (>= 2.0.0),
         python3-prettytable (>= 0.7.1),
         python3-requests (>= 2.10.0),
         python3-simplejson (>= 2.2.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: client library for OpenStack Compute API - 3.x
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 3.x module.

Package: python-novaclient-doc
Architecture: all
Section: doc
Breaks: python-novaclient (<< 2:2.30.1-2~),
Replaces: python-novaclient (<< 2:2.30.1-2~),
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: client library for OpenStack Compute API - doc
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the documentation.

## python-novaclient 9.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
keystoneauth1>=3.0.1 # Apache-2.0
iso8601>=0.1.11 # MIT
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
simplejson>=2.2.0 # MIT
six>=1.9.0 # MIT
Babel!=2.4.0,>=2.3.4 # BSD

=== debian/changelog ===
python-novaclient (2:9.1.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 13:49:35 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python-all,
                python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx (>= 1.5.1),
+               python-sphinx (>= 1.6.2),
                python3-all,
                python3-pbr (>= 2.0.0),
                python3-setuptools,
@@ -27,7 +27,7 @@
                      python-keystoneclient (>= 1:3.8.0),
                      python-mock (>= 2.0),
                      python-neutronclient (>= 6.3.0),
-                     python-openstackdocstheme (>= 1.11.0),
+                     python-openstackdocstheme (>= 1.17.0),
                      python-os-client-config (>= 1.28.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.serialization (>= 1.10.0),
@@ -56,7 +56,7 @@
                      python3-keystoneclient (>= 1:3.8.0),
                      python3-mock (>= 2.0),
                      python3-neutronclient (>= 6.3.0),
-                     python3-openstackdocstheme (>= 1.11.0),
+                     python3-openstackdocstheme (>= 1.17.0),
                      python3-os-client-config (>= 1.28.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.serialization (>= 1.10.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install
	install -D -m 0644 tools/nova.bash_completion $(CURDIR)/debian/python-novaclient-doc/usr/share/bash-completion/completions/nova
	rm -rf $(CURDIR)/debian/python-novaclient/usr/novaclient

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository subunit.log build

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-novaclient-doc/usr/share/doc/python-novaclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif
